| The Gaudi Framework v29r1 (5cd95fa2)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Functions
IntegralInTest.cpp File Reference

Test file for the class NumericalIndefiniteIntregral. More...

`#include <cmath>`
`#include <cstdio>`
`#include "GaudiKernel/SystemOfUnits.h"`
`#include "GaudiMath/GaudiMath.h"`
`#include "CLHEP/GenericFunctions/Cos.hh"`
`#include "CLHEP/GenericFunctions/Sin.hh"`
Include dependency graph for IntegralInTest.cpp:

Go to the source code of this file.

## Namespaces
| CLHEP

## Functions
int | main ()

## Detailed Description

Test file for the class NumericalIndefiniteIntregral.

Date
  2003-08-31

Author
  Vanya BELYAEV Ivan..nosp@m.Bely.nosp@m.aev@i.nosp@m.tep..nosp@m.ru

Definition in file IntegralInTest.cpp.

## Function Documentation

int main | ( |  | ) |

Definition at line 35 of file IntegralInTest.cpp.

36 {
37
38 std::cout << " Test for numerical differentiation of Genfun::Cos(x) " << std::endl;
39
40 const GaudiMath::IndIntegral& mysin = GaudiMath::IndIntegral( Genfun::Cos(), 0, 0.0 );
41
42 for ( double x = -90 * Gaudi::Units::degree; x <= 180 * Gaudi::Units::degree; x += 10 * Gaudi::Units::degree ) {
43 double value = mysin( x );
44 double error = mysin.error();
45 printf( "x=%8.3f deg; I(Cos)=%+.19f; ActErr=%+.19f; EstErr=%+.19f;\n", x / Gaudi::Units::degree, value,
46 value - sin( x ), error );
47 }
48 }
Gaudi::Units::degree
constexpr double degree
Definition: SystemOfUnits.h:109
std::endl
T endl(T...args)
Genfun::GaudiMathImplementation::NumericalIndefiniteIntegral::error
double error() const
evaluate of previous error
Definition: NumericalIndefiniteIntegral.h:293
std::sin
T sin(T...args)
GaudiMath::IndIntegral
Genfun::GaudiMathImplementation::NumericalIndefiniteIntegral IndIntegral
Definition: GaudiMath.h:29
Genfun::GaudiMathImplementation::NumericalIndefiniteIntegral
The simple class for numerical integrations.
Definition: NumericalIndefiniteIntegral.h:82
std::printf
T printf(T...args)
std::cout